Junos Automation (Scripting)
Junos Automation (Scripting)

error: Microsoft Visual C++ 14.0 is required

‎07-16-2018 05:11 PM

Hi All,
H:>pip -V
pip 10.0.1 from c:\users\vicv9if\appdata\local\programs\python\python37\lib\site-packages\pip (python 3.7)

H:>pip install junos-eznc ------------>It is downloading and collecting a number of packets. But end of the the line, there are errors as following:

error: Microsoft Visual C++ 14.0 is required. Get it with "Microsoft Visual C++ Build Tools": http://landinghub.visualstudio.com/visual-cpp-build-tools

Command "c:\users\vicv9if\appdata\local\programs\python\python37\python.exe -u -c "import setuptools, tokenize;file='C:\Users\vicv9if\AppData\Local\Temp\pip-install-y2ogfpvu\lxml\setup.py';f=getattr(tokenize, 'open', open)(file);code=f.read().replace('\r\n', '\n');f.close();exec(compile(code, file, 'exec'))" install --record C:\Users\vicv9if\AppData\Local\Temp\pip-record-j8hc1ts3\install-record.txt --single-version-externally-managed --compile" failed with error code 1 in C:\Users\vicv9if\AppData\Local\Temp\pip-install-y2ogfpvu\lxml\

Can you please help on how to figure out these issues on Python 3.1 on Win10?

H:>python
Python 3.7.0 (v3.7.0:1bf9cc5093, Jun 27 2018, 04:59:51) [MSC v.1914 64 bit (AMD64)] on win32
Type "help", "copyright", "credits" or "license" for more information.

>>>

Thanks
Erdim

Feedback